{ ... }:
{
  networking.nftables.tables.forwarding = {
    family = "inet";
    content = ''
      chain incoming {
        type nat hook prerouting priority dstnat; policy accept;
        tcp dport 2211 dnat ip to 11.0.0.100:22 comment "Tower SSH"
        tcp dport 2222 dnat ip to 11.0.0.2:22 comment "Kitty SSH"
        tcp dport 2233 dnat ip to 11.0.0.101:22 comment "Envy SSH"
        tcp dport 2244 dnat ip to 11.0.0.102:22 comment "Intuos SSH"
        
        udp dport { 27005, 27015 } dnat ip to 11.0.0.100 comment "PC Hosted Games"
        
        tcp dport { 48010, 47989, 47984 } dnat ip to 11.0.0.100 comment "PC Sunshine TCP"
        udp dport { 47998, 47999, 48000 } dnat ip to 11.0.0.100 comment "PC Sunshine UDP"
      }

      chain forward {
        type nat hook postrouting priority 100; policy accept;
        oifname "enp0s31f6" masquerade
      }
    '';
  };

  # Enable IP forwarding for the server configuration
  boot.kernel.sysctl."net.ipv4.ip_forward" = 1;
}
